
MODULE HelpDemo;
  (*---------------------------------------------------------------------*)
  (*                   H E L P - D R I V E R - D E M O                   *)
  (*                           M 2 P R O L I B                           *)
  (*  Copyright (C) 1987    Bhlmann Computer Software   CH-8636 WALD    *)
  (*                     -- All Rights Reserved --                       *)
  (*---------------------------------------------------------------------*)
  (*  Author: X. Bhlmann                                                *)
  (*                                                                     *)
  (*  Version 1.0      Date: 12/12/87                                    *)
  (*  Version 1.1      Date: 10/09/88  xb  Angepasst an M2Prolib V3.03   *)
  (*---------------------------------------------------------------------*)
  FROM SystemDef IMPORT aFileName, eColor;
  FROM SpecSupport IMPORT MonitorType, eMonitorType;
  FROM HelpDriver IMPORT eHelpError, HelpWdwColor, CreateHelp, 
      HelpStatus;
  IMPORT Screen;
  (*
    *)
  BEGIN
    Screen.ClearScrBound();
    Screen.ScrWriteLn();
    Screen.ScrPutString(
        '                H E L P - D E M O    Version 1.1   ');
    Screen.ScrWriteLn();
    Screen.ScrPutString(
        '                           1 9 8 8                 ');
    Screen.ScrWriteLn();
    Screen.ScrWriteLn();
    Screen.ScrPutString('                         Copyright by        ');
    Screen.ScrWriteLn();
    Screen.ScrPutString(
        '                 (c) Bhlmann Computer Software    ');
    Screen.ScrWriteLn();
    Screen.ScrPutString(
        '                         CH-8636 Wald              ');
    Screen.ScrWriteLn();
    (**)
    CASE MonitorType OF
    | color :
      HelpWdwColor(red, cyan);
    | mono :
      HelpWdwColor(ltWhite, black);
    | spec :
      HelpWdwColor(ltWhite, black);
    END;
    IF NOT CreateHelp('DEMO.HLP',1) THEN
      CASE HelpStatus() OF
      | helpFileNotFound :
        Screen.ScrPutString('Hilfsfile nicht gefunden ! ');
        Screen.ScrWriteLn();
      | helpFileCloseError :
        Screen.ScrPutString(
            'Achtung: Hilfsfile nicht richtig geschlossen ! ');
        Screen.ScrWriteLn();
      | helpTextNumberTooBig :
        Screen.ScrPutString('Unmgliche Hilfstext-Nummer ! ');
        Screen.ScrWriteLn();
      | helpTextTooBig :
        Screen.ScrPutString(
            'Hilfstext passt nicht in eine Bildschirmseite ! ');
        Screen.ScrWriteLn();
      END;
    END;
  END HelpDemo.
