
MODULE MenuDemo;
  (*---------------------------------------------------------------------*)
  (*                          M E N U - D E M O                          *)
  (*                           M 2 P R O L I B                           *)
  (*  Copyright (C) 1987    Bhlmann Computer Software   CH-8636 WALD    *)
  (*                     -- All Rights Reserved --                       *)
  (*---------------------------------------------------------------------*)
  (*  Author: X. Bhlmann                                                *)
  (*                                                                     *)
  (*  Version 1.0      Date: 28/09/88                                    *)
  (*---------------------------------------------------------------------*)
  FROM SYSTEM IMPORT ADR, SIZE;
  IMPORT Screen;
  FROM SystemDef IMPORT eColor;
  FROM MenuDriver IMPORT MenuData, ReadMenu;
  FROM Menus IMPORT MenuColor, FrameOnOff, eExit, eExitMode, 
      GetSelectedEntry, Menu;
  VAR
    Exit : eExit;
    Selection : CARDINAL;
    CursorSave : CARDINAL;
  (*-----------------------------------------------------------------------*)
  PROCEDURE Copyright();
    BEGIN
      Screen.ClearScrBound();
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                M E N U - D E M O    Version 1.0  ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                           1 9 8 8                 ');
      Screen.ScrWriteLn();
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                         Copyright by           ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                 (c) Bhlmann Computer Software    ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                         CH-8636 Wald              ');
      Screen.ScrWriteLn();
    END Copyright;
  BEGIN
    Copyright();
    MenuColor(ltWhite, blue, ltWhite, black);
    IF ReadMenu('Demo.Men',1) THEN
      WITH MenuData DO
        FrameOnOff := FrameONOFF;
        Exit := Menu(x,y,FrameTitle,MenuText,escAllowed,Selection);
      END;
    END;
  END MenuDemo.
