
MODULE FServiceDemo;
  (*---------------------------------------------------------------------*)
  (*                  F I L E - S E R V I C E - D E M O                  *)
  (*                           M 2 P R O L I B                           *)
  (*  Copyright (C) 1987    Bhlmann Computer Software   CH-8636 WALD    *)
  (*                     -- All Rights Reserved --                       *)
  (*---------------------------------------------------------------------*)
  (*  Author: X. Bhlmann                                                *)
  (*                                                                     *)
  (*  Version 1.0      Date: 05/01/88                                    *)
  (*  Version 1.1      Date: 29/09/88  xb   Angepasst auf M2Prolib V3.03 *)
  (*---------------------------------------------------------------------*)
  FROM SYSTEM IMPORT WORD, ADR, ADDRESS, SIZE;
  IMPORT Screen, ScreenNum, Input, InputNum, Ascii;
  FROM SystemDef IMPORT aFileName;
  FROM FileService IMPORT BuildToFileName, SplitFileName, SplitName, 
      BuildToArg, BuildToDir, SplitDir;
  (*
    *)
  PROCEDURE Copyright();
    BEGIN
      Screen.ClearScrBound();
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '              F I L E - S E R V I C E - D E M O    Version 1.1 ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                           1 9 8 8                 ');
      Screen.ScrWriteLn();
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                         Copyright by           ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                 (c) Bhlmann Computer Software    ');
      Screen.ScrWriteLn();
      Screen.ScrPutString(
          '                         CH-8636 Wald              ');
      Screen.ScrWriteLn();
    END Copyright;
  PROCEDURE charOK(VAR chr : CHAR): BOOLEAN;
    BEGIN
      chr := CAP(chr);
      RETURN TRUE;
    END charOK;
  VAR
    FileName, Dir, Name, Ext : aFileName;
    Drive : CHAR;
  BEGIN
    Copyright();
    FileName := '';
    Input.CharOK := charOK;
    Screen.ScrWriteLn();
    Screen.ScrPutString(
        'Drive, Directory und File-Name eingeben (z.B. C:\VERSUCH\VERSUCH.TXT): ');
    Screen.ScrWriteLn();
    Input.ReadString(FileName);
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString('Eingabe aufgetrennt in Drive, Pfad und Filename');
    Screen.ScrWriteLn();
    SplitName(FileName, Drive, Dir, Name);
    Screen.ScrPutChar(Drive);
    Screen.ScrPutString('   ');
    Screen.ScrPutString(Dir);
    Screen.ScrPutString('   ');
    Screen.ScrPutString(Name);
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString('Filename aufgetrennt in Filename und Extension');
    Screen.ScrWriteLn();
    SplitFileName(Name, Name, Ext);
    Screen.ScrPutString(Name);
    Screen.ScrPutString('   ');
    Screen.ScrPutString(Ext);
    Screen.ScrPutString('   ');
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString('Extension von Filename ersetzen durch BAT');
    Screen.ScrWriteLn();
    BuildToFileName('BAT', FileName);
    Screen.ScrPutString(FileName);
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString('Letztes Directory vom Pfad abtrennen');
    Screen.ScrWriteLn();
    SplitDir(Dir, Dir);
    Screen.ScrPutString(Dir);
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString(
        'Aus Drive und Pfad und Directory TEST neuer Pfad erzeugen');
    Screen.ScrWriteLn();
    FileName := 'TEST';
    BuildToDir(Drive, Dir, FileName);
    Screen.ScrPutString(FileName);
    Screen.ScrWriteLn();
    (**)
    Screen.ScrPutString('Neuer Pfad und Filename erzeugen');
    Screen.ScrWriteLn();
    FileName := 'TEST';
    BuildToArg(Drive, Dir, Name, FileName);
    Screen.ScrPutString(FileName);
    Screen.ScrWriteLn();
  END FServiceDemo.
